local gitStaticSite = import "../lib/gitStaticSite.libsonnet";

{
    site: gitStaticSite {
        cfg+: {
            name: 'beamvalley',
            namespace: 'personal-radex',
            domains: [
                'beamvalley.radex.hscloud.ovh',
                'beamvalley.hs.radex.io',
                'beamvalley.com',
                'www.beamvalley.com',
            ],
            source: {
                repo: 'git@github.com:radex/BeamValleyWebsite.git',
                staticSubpath: 'public',
                sshSecretName: 'beamvalley-ssh',
            },
            storage: '100Mi',
        },
    }
}
