local gitStaticSite = import "../lib/gitStaticSite.libsonnet";

{
    site: gitStaticSite {
        cfg+: {
            name: 'tadam',
            namespace: 'personal-radex',
            domains: [
                'tadam.radex.hscloud.ovh',
                'tadam.hs.radex.io',
                'tadamapp.com',
                'www.tadamapp.com',
            ],
            source: {
                repo: 'git@github.com:radex/TadamWebsite.git',
                staticSubpath: 'public',
                sshSecretName: 'tadam-ssh',
            },
            storage: '100Mi',
        },
    },
}
